<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
 * Cpu Freq Config
 *
                TYPE                            AVALIABLE_VALUE
        cpu_maxprofile                    480000 807000 1306000 1709000
        cpu_minprofile                    480000 807000 1306000 1709000

        cpu_a15_maxprofile                1402000 1805000 2112000 2362000
        cpu_a15_minprofile                1402000 1805000 2112000 2362000

        gpu_maxprofile                    120000000 240000000 360000000 480000000 680000000 800000000 900000000
        gpu_minprofile                    120000000 240000000 360000000 480000000 680000000 800000000 900000000

        ddr_maxprofile                    120000000 240000000 360000000 533000000 800000000 933000000
        ddr_minprofile                    120000000 240000000 360000000 533000000 800000000 933000000

        cpu_number_max                    1,2,3,4
        cpu_number_min                    1,2,3,4
        cpu_a15_number_max                0,1,2,3,4
        cpu_a15_number_min                0,1,2,3,4
        ipa_temp
        ipa_power
        ipa_switch
        fork_on_big                0,1

        note:
        1. if policy item has not configured, it means close cpupolicy of previous scene.
        2. policy type default value is 0, policy value default value is -1

        Parent Scene

        Sub Scene
        210             input
        267             fling touch
        504             camera recorder
        221             full screen camera
        506             not full screen camera, little camera
        246             video play
        502             screen shot
        238             start rotation
        500             idle, (no touch/user activity for 10s)
        508             speed up scene, for screen on by key power or fingerprint when screen off
-->
<!--
    default scene , id must be lower than 10000
-->
<cpu_policy version="1">
    <!--don't config any policy-->
    <scenemode name="default_front" id="208">
    </scenemode>

    <!--don't config any policy-->
    <scenemode name="screen_off" id="301">
        <cpu_maxprofile>1709000</cpu_maxprofile>
    </scenemode>

    <scenemode name="start_rotation" id="238">
        <cpu_a15_minprofile>2112000</cpu_a15_minprofile>
        <gpu_minprofile>680000000</gpu_minprofile>
        <threshold_up>300</threshold_up>
        <threshold_down>150</threshold_down>
    </scenemode>

    <scenemode name="start_speedup" id="245">
        <cpu_minprofile>1709000</cpu_minprofile>
        <cpu_a15_minprofile>2362000</cpu_a15_minprofile>
        <gpu_minprofile>680000000</gpu_minprofile>
        <threshold_up>300</threshold_up>
        <threshold_down>150</threshold_down>
    </scenemode>

    <!--speedup for screen on by key power or fingerprint when screen off-->
    <scenemode name="speedup" id="508">
        <cpu_minprofile>1709000</cpu_minprofile>
        <threshold_up>300</threshold_up>
        <threshold_down>150</threshold_down>
    </scenemode>

    <!--
     cust scene , id must be bigger than 10000
    -->
    <!--
     Benckmark,    don't limit
     ID:10000 for benchmark, don't change
    -->
    <scenemode name=".*?(hw.performance*?).*" id="10000">
        <gpu_minprofile>800000000</gpu_minprofile>
        <ddr_minprofile>933000000</ddr_minprofile>
        <threshold_up>300</threshold_up>
        <threshold_down>150</threshold_down>
    </scenemode>

    <scenemode name="thermal_cpu" id="251">
        <cpu_maxprofile>-1</cpu_maxprofile>
        <gpu_maxprofile>-1</gpu_maxprofile>
    </scenemode>

    <scenemode name="battery_low" id="319">
    </scenemode>

    <scenemode name="battery_okay" id="320">
    </scenemode>

    <scenemode name="battery_critical" id="333">
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
        <gpu_maxprofile>240000000</gpu_maxprofile>
    </scenemode>

    <scenemode name="battery_critical_okay" id="334">
    </scenemode>

    <!--add policy to test-->
    <scenemode name="browser_front" id="203">
        <cpu_a15_maxprofile>1805000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!--read eboot, like baidu ebook-->
    <scenemode name="ebook_front" id="205">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>360000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!--added cpu gpu ddr for test-->
    <scenemode name="gallery_front" id="206">
        <cpu_a15_maxprofile>1805000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!--added for test-->
    <scenemode name="input_start" id="210">
    </scenemode>

    <scenemode name="camera_front" id="221">
    </scenemode>

    <scenemode name="game3d_front" id="204">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>680000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <scenemode name="office_front" id="225">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>360000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <scenemode name="video_front" id="228">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <scenemode name="game2d_front" id="233">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <scenemode name="launcher_front" id="230">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <scenemode name="mms_front" id="235">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>360000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!--add policy for test-->
    <scenemode name="video_start" id="246">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!-- for popular map-->
    <scenemode name="com.baidu.BaiduMap|com.mapbar.android.mapbarmap|com.autonavi.minimap|com.google.android.apps.maps|cld.navi.mainframe|com.google.android.street|com.sogou.map.android.maps|com.google.earth|cn.com.tiros.android.navidog|com.tencent.map|cn.com.tiros.android.navidog4x|com.j.locationalarm|com.uu.uunavi|com.cjq.wxmap|com.pdager.navi|hw.Guider|com.telenav.app.android.cmcc|menion.android.locus.pro|com.PaPaGOShanghai|com.autonavi.xmgd.navigator" id="10001">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>768</threshold_down>
    </scenemode>

    <!-- for system browser, if not config, the system browser will use browser_front(id = 203)-->
    <scenemode name="com.sohu.newsclient" id="10004">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!-- for popular game-->
    <scenemode name="org.cocos2dx.FishingJoy2*|com.aemobile.games.aemotor3d|com.webprancer.google.GarfieldsDiner|com.clius.realparking3d|com.disney.chukong.WMW|com.miniclip.pictorial|com.westriversw.CatWar|com.lemon.play.linecolor|com.coop_ox.beanbeanbang|com.sg.android.fish|com.happyelements.happyfish|com.haypi.dragon|org.funship.findsomething.withRK|com.qqgame.hlddz|com.sidheinteractive.sif.DR|com.ea.games.nfs13_na|com.gameloft.android.GAND.GloftAsphalt5.asphalt5|com.westriversw.RWS|com.carrot.carrotfantasy|com.popcap.pvz|com.paradoxplaza.imagicka|com.ckck.turbofly|com.gameloft.android.GAND.GloftSXHP" id="10005">
        <msg_policy_threshold>1</msg_policy_threshold>
        <gpu_maxprofile>800000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!-- for weibo/qqmobile/weixin -->
    <scenemode name="com.sina.weibo" id="10010">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>
    
    <scenemode name="com.tencent.mobileqq|com.tencent.mm" id="10011">
        <cpu_a15_maxprofile>1805000</cpu_a15_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>
    
    <!--  for cld navigation-->
    <scenemode name="cld.navi.mainframe" id="10014">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!-- crazy game, A15 binding-->
    <scenemode name="com.disney.troz|com.glu.carszombies|com.joym.xiongdakuaipao|com.kunpo.babaqunaer2|com.chukong.watertwo_chukong|com.tencent.clover|com.tencent.feiji|com.tencent.pao|com.qzone|com.imangi.templerun2|com.gamedo.junglerunner.mm|com.centurysoft.fruityrobo|com.kiloo.subwaysurf|air.com.lingyu.zzxlmobile.anzhi" id="10015">
        <msg_policy_threshold>1</msg_policy_threshold>
        <gpu_maxprofile>800000000</gpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <scenemode name="com.tencent.qqlive|com.qiyi.video|com.youku.phone|com.longzhu.tga|com.douyu.hd.air.douyutv|com.douyu.hd.air.douyutv|air.tv.douyu.android|com.melot.meshow|com.duowan.kiwi|com.duowan.mobile|com.duowan.pad|com.shejiao.yueyue|com.gameabc.zhanqiAndroid|com.huajiao" id="10016">
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </scenemode>

    <!-- video touch-->
    <comb_scene name="com.tencent.qqlive|com.qiyi.video|com.youku.phone|com.longzhu.tga|com.douyu.hd.air.douyutv|com.douyu.hd.air.douyutv|air.tv.douyu.android|com.melot.meshow|com.duowan.kiwi|com.duowan.mobile|com.duowan.pad|com.shejiao.yueyue|com.gameabc.zhanqiAndroid|com.huajiao"  id="231" parent_id="0">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </comb_scene>
    <!-- video fling-->
    <comb_scene name="com.tencent.qqlive|com.qiyi.video|com.youku.phone|com.longzhu.tga|com.douyu.hd.air.douyutv|com.douyu.hd.air.douyutv|air.tv.douyu.android|com.melot.meshow|com.duowan.kiwi|com.duowan.mobile|com.duowan.pad|com.shejiao.yueyue|com.gameabc.zhanqiAndroid|com.huajiao"  id="267" parent_id="0">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </comb_scene>

    <!-- Comb Scene-->
    <comb_scene name="launcher_touch" id="267" parent_id="230"> <!-- launcher_touch (same as 236) -->
    </comb_scene>

    <comb_scene name="com.tencent.mm" id="506" parent_id="0"> <!-- not full screen camera for tencent-->
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>1024</threshold_up>
        <threshold_down>824</threshold_down>
    </comb_scene>

    <!-- navigator touch-->
    <comb_scene name="com.baidu.BaiduMap|com.mapbar.android.mapbarmap|com.autonavi.minimap|com.google.android.apps.maps|cld.navi.mainframe|com.google.android.street|com.sogou.map.android.maps|com.google.earth|cn.com.tiros.android.navidog|com.tencent.map|cn.com.tiros.android.navidog4x|com.j.locationalarm|com.uu.uunavi|com.cjq.wxmap|com.pdager.navi|hw.Guider|com.telenav.app.android.cmcc|menion.android.locus.pro|com.PaPaGOShanghai|com.autonavi.xmgd.navigator"  id="231" parent_id="0">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>978</threshold_up>
        <threshold_down>672</threshold_down>
    </comb_scene>
    <!-- navigator fling-->
    <comb_scene name="com.baidu.BaiduMap|com.mapbar.android.mapbarmap|com.autonavi.minimap|com.google.android.apps.maps|cld.navi.mainframe|com.google.android.street|com.sogou.map.android.maps|com.google.earth|cn.com.tiros.android.navidog|com.tencent.map|cn.com.tiros.android.navidog4x|com.j.locationalarm|com.uu.uunavi|com.cjq.wxmap|com.pdager.navi|hw.Guider|com.telenav.app.android.cmcc|menion.android.locus.pro|com.PaPaGOShanghai|com.autonavi.xmgd.navigator"  id="267" parent_id="0">
        <cpu_a15_maxprofile>1402000</cpu_a15_maxprofile>
        <gpu_maxprofile>480000000</gpu_maxprofile>
        <cpu_maxprofile>1306000</cpu_maxprofile>
        <threshold_up>978</threshold_up>
        <threshold_down>672</threshold_down>
    </comb_scene>
</cpu_policy>
